%define	name	virt-manager
%define	version	0.3.1
%define	release	%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Virtual Machine Manager
License:    GPL
Group:      Graphical desktop/GNOME
URL:        http://virt-manager.et.redhat.com/
Source:     http://virt-manager.et.redhat.com/download/sources/virt-manager/%{name}-%{version}.tar.bz2
BuildRequires:  python
BuildRequires:  pygtk2.0-devel
BuildRequires:  desktop-file-utils
Requires:       python-libvirt
Requires:       python-virtinst
Requires:       python-vte
Requires:	dbus-python
Requires:	pygtk2.0-libglade
Requires:	gnome-python-gconf
Requires:	gnome-python-gnomevfs
Requires:	libxml2-python
Requires:	librsvg
Requires(post): GConf2
Requires(preun):GConf2
BuildRoot:           %{_tmppath}/%{name}-%{version}

%description
The "Virtual Machine Manager" (virt-manager for short package name) is a
desktop application for managing virtual machines. It presents a summary view
of running domains and their live performance & resource utilization
statistics. A detailed view presents graphs showing performance & utilization
over time. Ultimately it will allow creation of new domains, and configuration
& adjustment of a domain's resource allocation & virtual hardware. Finally an
embedded VNC client viewer presents a full graphical console to the guest
domain.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu entry
desktop-file-install --vendor="" \
    --add-category="GTK" \
    --remove-category="Application" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/virt-manager.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}


%post
%post_install_gconf_schemas virt-manager
%{update_menus}

%preun
%preun_uninstall_gconf_schemas virt-manager

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_libdir}/virt-manager
%{_libdir}/virt-manager-launch
%{_datadir}/virt-manager
%{_datadir}/applications/virt-manager.desktop
%{_datadir}/dbus-1/services/virt-manager.service
%{_sysconfdir}/gconf/schemas/*




%changelog
* Fri Apr 20 2007 Emmanuel Andry <eandry@mandriva.org> 0.3.1-3mdv2007.1
+ Revision: 15943
- fix missing requires (bug #30234)

  + Mandriva <devel@mandriva.com>


* Fri Mar 09 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.1-2mdv2007.1
+ Revision: 139488
- Add dbus-python

* Fri Feb 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-1mdv2007.1
+ Revision: 125024
- new version

* Wed Dec 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-4mdv2007.1
+ Revision: 96466
- fix dependencies
- fix dependencies

* Wed Dec 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-3mdv2007.1
+ Revision: 96232
- fix dependencies

* Wed Dec 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-2mdv2007.1
+ Revision: 96196
- fix schemas handling

* Mon Dec 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-1mdv2007.1
+ Revision: 94776
- fix typo in buildrequires
- buildrequires desktop-file-utils
- Import virt-manager

* Mon Dec 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-1mdv2007.1
- first mdv release

